unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, Data.Bind.GenData, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  Data.Bind.ObjectScope, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart,
  FMX.TabControl, FMX.ListView, FMXTee.Series, FMX.Layouts, FMX.Memo,
  FMX.StdCtrls;

type

  TForm1 = class(TForm)
    ListView1: TListView;
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    PrototypeBindSource1: TPrototypeBindSource;
    BindingsList1: TBindingsList;
    LinkFillControlToField1: TLinkFillControlToField;
    Memo1: TMemo;
    SpeedButton1: TSpeedButton;
    Layout1: TLayout;
    Chart1: TChart;
    Series1: TBarSeries;
    SpeedButton2: TSpeedButton;
    procedure Chart1Paint(Sender: TObject; Canvas: TCanvas;
      const ARect: TRectF);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Chart1Paint(Sender: TObject; Canvas: TCanvas;
  const ARect: TRectF);
begin
  Memo1.Lines.Add('paint');
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Memo1.Lines.Clear;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  Series1.AddBar(Random(300), 'hello', 3);
  Memo1.Lines.Add('add');
end;

end.
